import { IConfiguration, IXpanderClientCustomParams } from '../types';
/**
 * Manages the configuration settings for the xpanderAI client, including API key,
 * base URL, metrics reporting, and custom parameters.
 */
export declare class Configuration {
    /** API key for authenticating requests to xpanderAI. */
    apiKey: string;
    /** Base URL for the xpanderAI API requests. */
    baseUrl: string;
    /** Flag to enable or disable metrics reporting. */
    withMetricsReport: boolean;
    /** Custom parameters for additional configuration options. */
    customParams: IXpanderClientCustomParams;
    constructor({ apiKey, baseUrl, withMetricsReport, customParams, }: IConfiguration);
    toDict(): Record<string, any>;
}
